<script lang="ts">
import Vue from 'vue';
import { MetaInfo } from 'vue-meta/types/vue-meta';
import { CONTENT_TYPES } from '../../common/content-types';
import { getPageMetadata } from '~/common/meta';
import { FeaturesComparisonList } from '~/components/pricing/index.vue';
import { NextStep } from '~/components/common/index.vue';

import { getClient } from '~/plugins/contentful.js';

export default Vue.extend({
  name: 'Pricing',
  components: {
    FeaturesComparisonList,
    NextStep,
  },
  nuxtI18n: false,
  async asyncData({ error }: any) {
    try {
      const response = await getClient().getEntries({
        content_type: CONTENT_TYPES.PAGE,
        'fields.slug': '/pricing/feature-comparison',
        include: 10,
      });

      const seo = response.items[0].fields.seoMetadata[0].fields;

      const metadata = {
        title: seo.ogTitle,
        ogTitle: seo.ogTitle,
        description: seo.Description,
        ogDescription: seo.ogDescription,
      };

      const data = response.items[0].fields.pageContent;

      return { data, metadata };
    } catch (e) {
      error({ statusCode: 404 });
      return {};
    }
  },
  head(): MetaInfo {
    return getPageMetadata((this as any).metadata, this.$route.path);
  },
});
</script>

<template>
  <SlpRow>
    <SlpColumn :cols="12">
      <FeaturesComparisonList :data="data[0].fields" />
      <NextStep :variant="data[1].fields.variant" />
    </SlpColumn>
  </SlpRow>
</template>
